Bug 216670 - stat -c "%C" prints "(null)" in apite of the security context.
stat -c "%C" prints "(null)" in apite of the security context.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
: 216671 (view as bug list)
Depends On:
Blocks: FC6Update
  Show dependency treegraph
 
Reported: 2006-11-21 09:44 EST by KaiGai Kohei
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.97-12.2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 12:53:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch enables to read security context anytime to prepare parsing "%C" (1.15 KB, text/plain)
2006-11-21 09:44 EST, KaiGai Kohei
no flags Details

  None (edit)
Description KaiGai Kohei 2006-11-21 09:44:39 EST
Description of problem:
When we execute 'stat' with -c option and a format string including "%C",
it prints "(null)" in spite of the security context of the files specified.

Version-Release number of selected component (if applicable):
I confirmed it on coreutils-5.97-14.fc7.
Probably, we can reproduce this problem in any recent version of coreutils.

How reproducible:
% stat -c "%C" hoge.txt
(null)

We expect the following result.
% stat -c "%C" hoge.txt
user_u:object_r:user_home_t:s0
  
Additional info:
Comment 1 KaiGai Kohei 2006-11-21 09:44:39 EST
Created attachment 141766 [details]
This patch enables to read security context anytime to prepare parsing "%C"
Comment 2 Tim Waugh 2006-11-21 09:49:49 EST
*** Bug 216671 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.